NX Open C++ Reference Guide
|
Represents set of Smooth Edges View Style Preferences applicable to drafting views. More...
Public Member Functions | |
void | SetSmoothEdge (bool smoothEdge) |
Sets the status of smooth edge. | |
void | SetSmoothEdgeColor (int smoothEdgeColor) |
Sets the color of smooth edge. | |
void | SetSmoothEdgeEndGaps (bool smoothEdgeEndGaps) |
Sets the status of smooth edge end gaps. | |
void | SetSmoothEdgeEndGapsData (double smoothEdgeEndGapsData) |
Sets the value of smooth edge end gaps. | |
void | SetSmoothEdgeFont (NXOpen::Preferences::Font smoothEdgeFont) |
Sets the font of smooth edge. | |
void | SetSmoothEdgeTolerance (bool smoothEdgeTolerance) |
Sets the status of smooth edge angle tolerance. | |
void | SetSmoothEdgeToleranceData (double smoothEdgeToleranceData) |
Sets the value of smooth edge angle tolerance in degrees. | |
void | SetSmoothEdgeWidth (NXOpen::Preferences::Width smoothEdgeWidth) |
Sets the width of smooth edge. | |
bool | SmoothEdge () |
Returns the status of smooth edge. | |
int | SmoothEdgeColor () |
Returns the color of smooth edge. | |
bool | SmoothEdgeEndGaps () |
Returns the status of smooth edge end gaps. | |
double | SmoothEdgeEndGapsData () |
Returns the value of smooth edge end gaps. | |
NXOpen::Preferences::Font | SmoothEdgeFont () |
Returns the font of smooth edge. | |
bool | SmoothEdgeTolerance () |
Returns the status of smooth edge angle tolerance. | |
double | SmoothEdgeToleranceData () |
Returns the value of smooth edge angle tolerance in degrees. | |
NXOpen::Preferences::Width | SmoothEdgeWidth () |
Returns the width of smooth edge. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents set of Smooth Edges View Style Preferences applicable to drafting views.
To obtain an instance of this class use Drawings::ViewStyle::SmoothEdges
Created in NX5.0.0.
void NXOpen::Drawings::SmoothEdgesViewStyle::SetSmoothEdge | ( | bool | smoothEdge | ) |
Sets the status of smooth edge.
If True then it enables the smooth edge options.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
smoothEdge | smooth edge |
void NXOpen::Drawings::SmoothEdgesViewStyle::SetSmoothEdgeColor | ( | int | smoothEdgeColor | ) |
Sets the color of smooth edge.
The value should be between 1 and 216.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
smoothEdgeColor | smooth edge color |
void NXOpen::Drawings::SmoothEdgesViewStyle::SetSmoothEdgeEndGaps | ( | bool | smoothEdgeEndGaps | ) |
Sets the status of smooth edge end gaps.
If True, the visible ends are suppressed from the display. The length of the suppressed end is in drawing units and is controlled by the value set in the End Gap field. If False, the visible ends are not suppressed from the display.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
smoothEdgeEndGaps | smooth edge end gaps |
void NXOpen::Drawings::SmoothEdgesViewStyle::SetSmoothEdgeEndGapsData | ( | double | smoothEdgeEndGapsData | ) |
Sets the value of smooth edge end gaps.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
smoothEdgeEndGapsData | smooth edge end gaps data |
void NXOpen::Drawings::SmoothEdgesViewStyle::SetSmoothEdgeFont | ( | NXOpen::Preferences::Font | smoothEdgeFont | ) |
Sets the font of smooth edge.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
smoothEdgeFont | smooth edge font |
void NXOpen::Drawings::SmoothEdgesViewStyle::SetSmoothEdgeTolerance | ( | bool | smoothEdgeTolerance | ) |
Sets the status of smooth edge angle tolerance.
If True, the value set in the Tolerance Data field is used. If False, the system default tolerance is used.
Created in NX7.5.0.
License requirements : drafting ("DRAFTING")
smoothEdgeTolerance | smooth edge tolerance |
void NXOpen::Drawings::SmoothEdgesViewStyle::SetSmoothEdgeToleranceData | ( | double | smoothEdgeToleranceData | ) |
Sets the value of smooth edge angle tolerance in degrees.
Created in NX7.5.0.
License requirements : drafting ("DRAFTING")
smoothEdgeToleranceData | smooth edge tolerance data |
void NXOpen::Drawings::SmoothEdgesViewStyle::SetSmoothEdgeWidth | ( | NXOpen::Preferences::Width | smoothEdgeWidth | ) |
Sets the width of smooth edge.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
smoothEdgeWidth | smooth edge width |
bool NXOpen::Drawings::SmoothEdgesViewStyle::SmoothEdge | ( | ) |
Returns the status of smooth edge.
If True then it enables the smooth edge options.
Created in NX5.0.0.
License requirements : None
int NXOpen::Drawings::SmoothEdgesViewStyle::SmoothEdgeColor | ( | ) |
Returns the color of smooth edge.
The value should be between 1 and 216.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Drawings::SmoothEdgesViewStyle::SmoothEdgeEndGaps | ( | ) |
Returns the status of smooth edge end gaps.
If True, the visible ends are suppressed from the display. The length of the suppressed end is in drawing units and is controlled by the value set in the End Gap field. If False, the visible ends are not suppressed from the display.
Created in NX5.0.0.
License requirements : None
double NXOpen::Drawings::SmoothEdgesViewStyle::SmoothEdgeEndGapsData | ( | ) |
Returns the value of smooth edge end gaps.
Created in NX5.0.0.
License requirements : None
NXOpen::Preferences::Font NXOpen::Drawings::SmoothEdgesViewStyle::SmoothEdgeFont | ( | ) |
Returns the font of smooth edge.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Drawings::SmoothEdgesViewStyle::SmoothEdgeTolerance | ( | ) |
Returns the status of smooth edge angle tolerance.
If True, the value set in the Tolerance Data field is used. If False, the system default tolerance is used.
Created in NX7.5.0.
License requirements : None
double NXOpen::Drawings::SmoothEdgesViewStyle::SmoothEdgeToleranceData | ( | ) |
Returns the value of smooth edge angle tolerance in degrees.
Created in NX7.5.0.
License requirements : None
NXOpen::Preferences::Width NXOpen::Drawings::SmoothEdgesViewStyle::SmoothEdgeWidth | ( | ) |
Returns the width of smooth edge.
Created in NX5.0.0.
License requirements : None
tag_t NXOpen::Drawings::SmoothEdgesViewStyle::Tag | ( | ) | const |
Returns the tag of this object.